<?php

namespace itguild\forms\builders;

use itguild\forms\debug\Debug;
use itguild\forms\inputs\Select;

class SelectBuilder
{

//    public static function build(string $name, array $params = [])
//    {
//        $value = $params['value'] ?? null;
//        unset($params['value']);
//        $options = $params['options'] ?? [];
//        unset($params['options']);
//
//        return new Select(name: $name, options: $options, value: $value, paramsArray: $params);
//    }

    public static function build(string $name, array $params = []): Select
    {
        $value = $params['value'] ?? null;
        unset($params['value']);
        if (isset($params['prompt'])) {
            $options['prompt'] = $params['prompt'] ?? null;
            foreach ($params['options'] as $key => $val) {
                $options[$key] = $val;
            }
        } else {
            $options = $params['options'] ?? [];
        }

        unset($params['options']);

        return new Select(name: $name, options: $options, value: $value, paramsArray: $params);
    }

}